From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-libs/lapack-reference/
Date: Thu, 21 Jun 2018 18:43:20 +0000 (UTC) [thread overview]
Message-ID: <1529606161.c4d9ac48f18eab5d44da15e8e8b36eca9d1353de.jlec@gentoo> (raw)
commit: c4d9ac48f18eab5d44da15e8e8b36eca9d1353de
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 21 18:36:01 2018 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Thu Jun 21 18:36:01 2018 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=c4d9ac48
sci-libs/lapack-reference: Version Bump
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
Package-Manager: Portage-2.3.40, Repoman-2.3.9
.../lapack-reference-3.8.0-r100.ebuild | 120 +++++++++++++++++++++
1 file changed, 120 insertions(+)
diff --git a/sci-libs/lapack-reference/lapack-reference-3.8.0-r100.ebuild b/sci-libs/lapack-reference/lapack-reference-3.8.0-r100.ebuild
new file mode 100644
index 000000000..e5adb3ced
--- /dev/null
+++ b/sci-libs/lapack-reference/lapack-reference-3.8.0-r100.ebuild
@@ -0,0 +1,120 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+NUMERIC_MODULE_NAME="reflapack"
+
+inherit alternatives-2 cmake-utils eutils fortran-2 numeric-int64-multibuild python-any-r1
+
+MY_PN=lapack
+MYP=${MY_PN}-${PV}
+
+DESCRIPTION="Reference implementation of LAPACK"
+HOMEPAGE="http://www.netlib.org/lapack/"
+SRC_URI="http://www.netlib.org/lapack/${MYP}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+deprecated static-libs test xblas"
+
+REQUIRED_USE="test? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+ >=virtual/blas-2.1-r3[int64?,${MULTILIB_USEDEP}]
+ xblas? ( sci-libs/xblas[fortran,int64?] )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ test? ( ${PYTHON_DEPS} )"
+
+S="${WORKDIR}/${MYP}"
+
+src_prepare() {
+ numeric-int64_ensure_blas_int_support
+
+ default
+
+ # rename library to avoid collision with other lapack implementations
+ # ${PROFNAME}, ${LIBNAME} and ${BLAS_REQUIRES} are not defined here, they
+ # are in single quotes in the following seds. They are set later by
+ # defining a cmake variables with -DPROFNAME etc in src_configure.
+ sed \
+ -e 's:BINARY_DIR}/lapack.pc:BINARY_DIR}/${PROFNAME}.pc:' \
+ -e '/ALL_TARGETS/s:lapack):${LIBNAME}):' \
+ -e '/LAPACK_LIBRARIES/s:lapack:${LIBNAME}:g' \
+ -i CMakeLists.txt || die
+ sed -i \
+ -e 's:(lapack:(${LIBNAME}:g' \
+ -e '/PROPERTIES/s:lapack:${LIBNAME}:g' \
+ SRC/CMakeLists.txt || die
+ sed -i \
+ -e '/Name: /s:lapack:@PROFNAME@:' \
+ -e 's:-llapack:-l@LIBNAME@:g' \
+ -e '/Requires: /s:blas:@BLAS_REQUIRES@\nFflags\: ${LAPACK_PKGCONFIG_FFLAGS}:' \
+ lapack.pc.in || die
+ # some string does not get passed properly
+ sed -i \
+ -e '/lapack_testing.py/d' \
+ CTestCustom.cmake.in || die
+ # separate ebuild to tmglib
+ sed -i \
+ -e '/lapack_install_library(tmglib)/d' \
+ TESTING/MATGEN/CMakeLists.txt || die
+}
+
+src_configure() {
+ lapack_configure() {
+ local profname=$(numeric-int64_get_module_name)
+ local libname="${profname//-/_}"
+ local blas_profname=$(numeric-int64_get_blas_alternative)
+ local xblas_profname=$(numeric-int64_get_xblas_alternative)
+ local xblas_libname="${xblas_profname//-/_}"
+ local blas_requires="${blas_profname}"
+ use xblas && \
+ blas_requires+=" ${xblas_profname}"
+ local mycmakeargs=(
+ -DPROFNAME="${profname}"
+ -DBLAS_REQUIRES="${blas_requires}"
+ -DLIBNAME="${libname}"
+ -DUSE_OPTIMIZED_BLAS=ON
+ -DBUILD_TESTING="$(usex test)"
+ -DUSE_XBLAS="$(usex xblas)"
+ -DBUILD_DEPRECATED="$(usex deprecated)"
+ -DCMAKE_C_FLAGS="$($(tc-getPKG_CONFIG) --cflags ${blas_profname}) ${CFLAGS}"
+ -DCMAKE_CXX_FLAGS="$($(tc-getPKG_CONFIG) --cflags ${blas_profname}) ${CXXFLAGS}"
+ -DCMAKE_Fortran_FLAGS="$($(tc-getPKG_CONFIG) --cflags ${blas_profname}) $(get_abi_CFLAGS) $(numeric-int64_get_fortran_int64_abi_fflags) ${FCFLAGS}"
+ -DLAPACK_PKGCONFIG_FFLAGS="$(numeric-int64_get_fortran_int64_abi_fflags)"
+ )
+ use xblas && \
+ mycmakeargs+=( -DXBLAS_LIBRARY:FILEPATH="${EROOT}usr/$(get_libdir)/lib${xblas_libname}.so" )
+ if $(numeric-int64_is_static_build); then
+ mycmakeargs+=(
+ -DBUILD_SHARED_LIBS=OFF
+ -DBUILD_STATIC_LIBS=ON
+ )
+ else
+ mycmakeargs+=(
+ -DBUILD_SHARED_LIBS=ON
+ -DBUILD_STATIC_LIBS=OFF
+ )
+ fi
+ cmake-utils_src_configure
+ }
+ numeric-int64-multibuild_foreach_all_abi_variants lapack_configure
+}
+
+src_compile() {
+ numeric-int64-multibuild_foreach_all_abi_variants cmake-utils_src_compile
+}
+
+src_test() {
+ numeric-int64-multibuild_foreach_all_abi_variants cmake-utils_src_test
+}
+
+src_install() {
+ numeric-int64-multibuild_foreach_all_abi_variants cmake-utils_src_install
+ numeric-int64-multibuild_install_alternative lapack reference
+}
next reply other threads:[~2018-06-21 18:43 UTC|newest]
Thread overview: 33+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-06-21 18:43 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2018-06-21 19:47 [gentoo-commits] proj/sci:master commit in: sci-libs/lapack-reference/ Justin Lecher
2018-06-21 18:43 Justin Lecher
2018-06-21 18:43 Justin Lecher
2016-10-12 6:30 Marius Brehler
2015-12-03 9:55 Justin Lecher
2015-12-03 9:54 Justin Lecher
2015-12-01 6:52 Justin Lecher
2015-11-30 18:33 Justin Lecher
2015-11-30 18:33 Justin Lecher
2014-10-13 9:19 Francois Bissey
2014-10-08 14:16 Honza Macháček
2014-10-06 6:53 Justin Lecher
2014-10-06 5:56 Justin Lecher
2014-10-06 5:56 Justin Lecher
2014-10-06 5:56 Justin Lecher
2014-10-06 5:56 Justin Lecher
2014-09-25 21:21 Francois Bissey
2014-09-25 10:45 Francois Bissey
2014-01-28 19:01 Sebastien Fabbro
2013-05-23 5:13 Sebastien Fabbro
2013-03-03 17:52 Justin Lecher
2012-11-29 0:06 Sebastien Fabbro
2012-11-29 0:06 Sebastien Fabbro
2012-11-29 0:06 Sebastien Fabbro
2012-10-26 16:53 Sebastien Fabbro
2012-04-25 15:10 Justin Lecher
2012-04-25 6:47 Justin Lecher
2012-02-23 9:18 Justin Lecher
2012-02-17 16:26 Sebastien Fabbro
2012-02-16 0:38 Sebastien Fabbro
2012-01-26 17:41 Sebastien Fabbro
2011-08-19 15:26 Andrea Arteaga
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1529606161.c4d9ac48f18eab5d44da15e8e8b36eca9d1353de.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox